Ubuntu

kickstart iscsi option broken

Reported by Max on 2011-07-13
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
kickseed (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson
Maverick
High
Colin Watson
Natty
High
Colin Watson
partman-iscsi (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson
Maverick
High
Colin Watson
Natty
High
Colin Watson

Bug Description

Have a kickstart line like:

==
iscsi --ipaddr=1.2.3.4 --port=3260 --target=iqn.1986-03.com.sun:my-iqn
==

Still get a manual "iSCSI configuration actions" menu.
When I select the "Log into ISCSI targets" menu, installer hangs. (purple screen, nothing happening).

If I do not have the kickstart iscsi line, it does not hang and I'm able to specify the iscsi options manually.

Taha Lukmanji (tahalukmanji) wrote :

Do you have the iscsi initiator setup at the SAN? Sorry I am not expert on kickseed but I know quite a bit about SANs

Max (bos) wrote :

@Taha:
The SAN setup is not the problem.

If I do a manual Ubuntu installation and enter the same portal IP-address, and select the same IQN out of the list, it installs fine.
The problem is only when doing automated installation through kickstart.

Tim Lawrence (tim-lawrence-d) wrote :

Hi,

I have the same problem.
I have tried using both KickSeed & raw preseed directives and get the same issue with both.
I am wondering if the blank username and password are the problem. I will try adding CHAP auth to the LUN and see if it makes any difference.
Irritating!

Tim Lawrence (tim-lawrence-d) wrote :

Update: Just tried with CHAP and it still hung.
I'm pretty sure this isn't a bug in KickSeed but it might be a Partman-ISCSI bug..

Colin Watson (cjwatson) on 2011-07-20
Changed in kickseed (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in partman-iscsi (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in kickseed (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Changed in partman-iscsi (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Lucid):
status: New → Triaged
Changed in kickseed (Ubuntu Maverick):
status: New → Triaged
Changed in kickseed (Ubuntu Natty):
status: New → Triaged
Changed in partman-iscsi (Ubuntu Lucid):
status: New → Triaged
Changed in partman-iscsi (Ubuntu Maverick):
status: New → Triaged
Changed in partman-iscsi (Ubuntu Natty):
status: New → Triaged
Changed in kickseed (Ubuntu Lucid):
importance: Undecided → High
Changed in kickseed (Ubuntu Maverick):
importance: Undecided → High
Changed in kickseed (Ubuntu Natty):
importance: Undecided → High
Changed in partman-iscsi (Ubuntu Lucid):
importance: Undecided → High
Changed in partman-iscsi (Ubuntu Maverick):
importance: Undecided → High
Changed in partman-iscsi (Ubuntu Natty):
importance: Undecided → High
Changed in kickseed (Ubuntu Lucid):
milestone: none → ubuntu-10.04.4
Changed in partman-iscsi (Ubuntu Lucid):
milestone: none → ubuntu-10.04.4
Changed in kickseed (Ubuntu Lucid):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Maverick):
assignee: nobody → Colin Watson (cjwatson)
Changed in kickseed (Ubuntu Natty):
assignee: nobody → Colin Watson (cjwatson)
Changed in partman-iscsi (Ubuntu Lucid):
assignee: nobody → Colin Watson (cjwatson)
Changed in partman-iscsi (Ubuntu Maverick):
assignee: nobody → Colin Watson (cjwatson)
Changed in partman-iscsi (Ubuntu Natty):
assignee: nobody → Colin Watson (cjwatson)
Tim Lawrence (tim-lawrence-d) wrote :

As I emailed to Colin earlier today this is because kickseed is omitting the datatype part of the kickseed config when performing the conversion from kickstart -> preseed.

eg

ks.cfg:

iscsi --ipaddr=xxx.xxx.xxx.xxx --target=iqn.1992-08.com.xxxxx:xxxx --port=3260

should be translated to:

d-i partman-iscsi/login/address string xxx.xxx.xxx.xxx:3260

but the "string" part is missing so preseed ignores it.

you can check this by dropping to a shell in the installer (alt+f2) and running

  debconf-dumpdb|grep iscsi

which will show you which preseed commands succesfully made it into the database. if address shows as (null) then it didnt work!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-iscsi - 17

---------------
partman-iscsi (17) oneiric; urgency=low

  * Don't fail if debconf questions are preseeded (LP: #810068).
 -- Colin Watson <email address hidden> Wed, 20 Jul 2011 17:04:26 +0100

Changed in partman-iscsi (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.56ubuntu2

---------------
kickseed (0.56ubuntu2) oneiric; urgency=low

  * Fix iSCSI ks_preseed calls to include a type field (LP: #810068).
 -- Colin Watson <email address hidden> Wed, 20 Jul 2011 17:11:06 +0100

Changed in kickseed (Ubuntu):
status: Triaged → Fix Released
Colin Watson (cjwatson) wrote :

I should stress that I haven't actually tested this pair of fixes - they're based on the logs Tim sent me - and would very much appreciate real-world testing. I expect that the resulting set of fixes will need to go to Lucid/Maverick/Natty, since I think this code has been broken all the way along.

Colin Watson (cjwatson) on 2012-01-20
Changed in kickseed (Ubuntu Lucid):
status: Triaged → In Progress
Changed in kickseed (Ubuntu Maverick):
status: Triaged → In Progress
Changed in kickseed (Ubuntu Natty):
status: Triaged → In Progress
Changed in partman-iscsi (Ubuntu Lucid):
status: Triaged → In Progress
Changed in partman-iscsi (Ubuntu Maverick):
status: Triaged → In Progress
Changed in partman-iscsi (Ubuntu Natty):
status: Triaged → In Progress

Hello Max, or anyone else affected,

Accepted kickseed into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in kickseed (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in partman-iscsi (Ubuntu Lucid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Max, or anyone else affected,

Accepted partman-iscsi into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Hello Max, or anyone else affected,

Accepted kickseed into natty-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in kickseed (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in partman-iscsi (Ubuntu Natty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Hello Max, or anyone else affected,

Accepted partman-iscsi into natty-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Is there really much point in fixing this in maverick now? It has lived most of its live with this bug, and will go EOL in two months.

Martin Pitt (pitti) wrote :

Can anyone please try the current lucid dailies to verify that this is fixed? http://cdimage.ubuntu.com/lucid/

We need to do this in the next few days to get this fix into 10.04.4.

James Page (james-page) wrote :

I've done some testing on this SRU for Lucid in preparation for 10.04.4.

1) Verified that without -proposed I get prompted as detailed in the original bug report

2) With -proposed enabled (and using the proposed mini.iso with cobbler) I was able to successfully install to an iSCSI target

I did however get prompted for the username for the iSCSI initiator despite the fact that it does not require authentication and I had to restrict the iSCSI initiator to presenting only one device to the client as the --target parameter is not supported in kickseed.

See the attached kickstart file for details.

James Page (james-page) wrote :
Colin Watson (cjwatson) wrote :

'preseed partman-iscsi/login/incoming_username string' in a Kickstart file should work around this, but I think this is a separate bug (I do agree it's a bug).

Martin Pitt (pitti) wrote :

This now seems sufficiently verified to warrant copying to -updates. It is not a regression, and although it's not perfect yet it is definitively an improvement.

tags: added: verification-done-lucid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.54ubuntu1.10.04.2

---------------
kickseed (0.54ubuntu1.10.04.2) lucid-proposed; urgency=low

  * Fix iSCSI ks_preseed calls to include a type field (LP: #810068).

kickseed (0.54ubuntu1.10.04.1) lucid-proposed; urgency=low

  * Preseed partman-lvm/confirm_overwrite as well as partman-lvm/confirm.
  * Preseed partman-lvm/device_remove_lvm when confirming logvol results,
    since Kickstart doesn't have a separate control with a one-to-one
    correspondence to this (LP: #708548).
 -- Colin Watson <email address hidden> Fri, 20 Jan 2012 16:51:53 +0000

Changed in kickseed (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package partman-iscsi - 14.1

---------------
partman-iscsi (14.1) lucid-proposed; urgency=low

  * Don't fail if debconf questions are preseeded (LP: #810068).
 -- Colin Watson <email address hidden> Fri, 20 Jan 2012 16:44:33 +0000

Changed in partman-iscsi (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2012-02-17
Changed in kickseed (Ubuntu Maverick):
status: In Progress → Won't Fix
Changed in partman-iscsi (Ubuntu Maverick):
status: In Progress → Won't Fix
dino99 (9d9) wrote :
Changed in partman-iscsi (Ubuntu Natty):
status: Fix Committed → Invalid
Changed in kickseed (Ubuntu Natty):
status: Fix Committed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments